curl --request POST \
--url https://api.acedata.cloud/deepseek/chat/completions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "deepseek-v3",
"messages": [
{
"role": "user",
"content": "Hello!"
}
]
}
'import requests
url = "https://api.acedata.cloud/deepseek/chat/completions"
payload = {
"model": "deepseek-v3",
"messages": [
{
"role": "user",
"content": "Hello!"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({model: 'deepseek-v3', messages: [{role: 'user', content: 'Hello!'}]})
};
fetch('https://api.acedata.cloud/deepseek/chat/completions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"model": "<string>",
"object": "chat.completion",
"choices": [
{
"index": 123,
"message": {
"role": "assistant",
"content": "<string>",
"tool_calls": [
{
"id": "<string>",
"type": "function",
"function": {
"name": "<string>",
"arguments": "<string>"
}
}
],
"refusal": "<string>",
"audio": {
"id": "<string>",
"expires_at": 123,
"data": "<string>",
"transcript": "<string>"
}
},
"finish_reason": "stop",
"logprobs": {}
}
],
"created": 123,
"system_fingerprint": "<string>",
"usage": {
"prompt_tokens": 123,
"completion_tokens": 123,
"total_tokens": 123,
"prompt_tokens_details": {
"cached_tokens": 123,
"audio_tokens": 123
},
"completion_tokens_details": {
"reasoning_tokens": 123,
"audio_tokens": 123,
"accepted_prediction_tokens": 123,
"rejected_prediction_tokens": 123
}
}
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}Deepseek Chat Completions
curl --request POST \
--url https://api.acedata.cloud/deepseek/chat/completions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "deepseek-v3",
"messages": [
{
"role": "user",
"content": "Hello!"
}
]
}
'import requests
url = "https://api.acedata.cloud/deepseek/chat/completions"
payload = {
"model": "deepseek-v3",
"messages": [
{
"role": "user",
"content": "Hello!"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({model: 'deepseek-v3', messages: [{role: 'user', content: 'Hello!'}]})
};
fetch('https://api.acedata.cloud/deepseek/chat/completions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"model": "<string>",
"object": "chat.completion",
"choices": [
{
"index": 123,
"message": {
"role": "assistant",
"content": "<string>",
"tool_calls": [
{
"id": "<string>",
"type": "function",
"function": {
"name": "<string>",
"arguments": "<string>"
}
}
],
"refusal": "<string>",
"audio": {
"id": "<string>",
"expires_at": 123,
"data": "<string>",
"transcript": "<string>"
}
},
"finish_reason": "stop",
"logprobs": {}
}
],
"created": 123,
"system_fingerprint": "<string>",
"usage": {
"prompt_tokens": 123,
"completion_tokens": 123,
"total_tokens": 123,
"prompt_tokens_details": {
"cached_tokens": 123,
"audio_tokens": 123
},
"completion_tokens_details": {
"reasoning_tokens": 123,
"audio_tokens": 123,
"accepted_prediction_tokens": 123,
"rejected_prediction_tokens": 123
}
}
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}Авторизации
API token from https://platform.acedata.cloud
Заголовки
Deepseek Chat Completions Param Accept
application/json Тело
Deepseek Chat Completions Model
deepseek-r1, deepseek-r1-0528, deepseek-v3, deepseek-v3-250324, deepseek-v3.2-exp, deepseek-v4-flash "deepseek-v3"
Deepseek Chat Completions Messages 4
1Show child attributes
Show child attributes
Deepseek Chat Completions N
1 <= x <= 1281
Deepseek Chat Completions Stream
Deepseek Chat Completions Max Tokens
Deepseek Chat Completions Temperature
0 <= x <= 21
Deepseek Chat Completions Response Format 4
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Deepseek Chat Completions Top P
0 <= x <= 11
Deepseek Chat Completions Frequency Penalty
-2 <= x <= 20
Deepseek Chat Completions Presence Penalty
-2 <= x <= 20
Deepseek Chat Completions Seed
Deepseek Chat Completions Stop 3
Deepseek Chat Completions Max Completion Tokens
Deepseek Chat Completions Logprobs
Deepseek Chat Completions Top Logprobs
0 <= x <= 20Deepseek Chat Completions Stream Options
Show child attributes
Show child attributes
Deepseek Chat Completions Parallel Tool Calls
Deepseek Chat Completions User
Deepseek Chat Completions Reasoning Effort
minimal, low, medium, high Deepseek Chat Completions Service Tier
auto, default, flex, scale, priority Deepseek Chat Completions Store
Deepseek Chat Completions Metadata
Show child attributes
Show child attributes
Deepseek Chat Completions Logit Bias
Show child attributes
Show child attributes
Deepseek Chat Completions Modalities
text, audio Deepseek Chat Completions Audio
Show child attributes
Show child attributes
Deepseek Chat Completions Prediction 3
Show child attributes
Show child attributes
Deepseek Chat Completions Web Search Options
Show child attributes
Show child attributes
Deepseek Chat Completions Tools
Show child attributes
Show child attributes
Deepseek Chat Completions Tool Choice 3
none, auto, required Ответ
Deepseek Chat Completions Response 200 2
Deepseek Chat Completions Response 200
Deepseek Chat Completions Response 200 Id
Deepseek Chat Completions Response 200 Model
Deepseek Chat Completions Response 200 Object
chat.completion Deepseek Chat Completions Response 200 Choices
Show child attributes
Show child attributes
Deepseek Chat Completions Response 200 Created
Deepseek Chat Completions Response 200 System Fingerprint
Deepseek Chat Completions Response 200 Usage
Show child attributes
Show child attributes
Была ли эта страница полезной?

